Bug 13430 - winbindd on the AD DC is slow for passdb queries
winbindd on the AD DC is slow for passdb queries
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.8.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-10 18:55 UTC by Andrew Bartlett
Modified: 2018-05-17 11:37 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.8 cherry-picked from master (27.47 KB, patch)
2018-05-10 19:13 UTC, Andrew Bartlett
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2018-05-10 18:55:32 UTC
This AD DC's domain is very close, in AD DC configurations over a internal ncacn_np pipe and otherwise in the same process via C linking.  It is however very expensive to re-create the binding handle per SID->name lookup, so keep a cache.

This makes samba-tool netacl sysvolreset and the nss tests much faster.
Comment 1 Andrew Bartlett 2018-05-10 19:13:11 UTC
Created attachment 14194 [details]
patch for 4.8 cherry-picked from master
Comment 2 Andrew Bartlett 2018-05-10 19:33:14 UTC
Please also pick for 4.7.
Comment 3 Ralph Böhme 2018-05-11 06:45:55 UTC
Reassigning to Karolin for inclusion in 4.7 and 4.8.
Comment 4 Karolin Seeger 2018-05-14 07:57:47 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-{8,7}-test.
Comment 5 Karolin Seeger 2018-05-17 11:37:05 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!